package org.springblade.system.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.system.entity.Region;

import java.util.List;

/**
 * @program: LogisticsPlatform
 * @description:
 * @author: cyz
 * @create: 2023-05-19 10:39
 **/
@Data
@ApiModel(value = "RegionVO对象", description = "行政区划表")
public class RegionAllVO  {
	//code
	private String value;
	//name
	private String label;
	//集合
	private List<RegionAllVO> children;

}
